Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl
Class VFSFileServiceImpl

    java.lang.Object
      org.jbpm.shared.services.impl.VFSFileServiceImpl

All Implemented Interfaces:
  FileService

    @Singleton
    public class VFSFileServiceImpl

extends Object
implements FileService

Constructor Summary
`VFSFileServiceImpl()`

Method Summary
`void` | `copy(String source, String dest)`
`org.kie.commons.java.nio.file.Path` | `createDirectory(String path)`
`org.kie.commons.java.nio.file.Path` | `createFile(String path)`
`boolean` | `deleteIfExists(String path)`
`boolean` | `exists(org.kie.commons.java.nio.file.Path file)`
`boolean` | `exists(String file)`
`void` | `fetchChanges()`
`org.kie.commons.java.nio.file.Path` | `getPath(String path)`
`String` | `getRepositoryRoot()`
`void` | `init()`
`Iterable<org.kie.commons.java.nio.file.Path>` | `listDirectories(String path)`
`byte[]` | `loadFile(org.kie.commons.java.nio.file.Path file)`
`byte[]` | `loadFile(String path)`
`Iterable<org.kie.commons.java.nio.file.Path>` | `loadFilesByType(String path, String fileType)`
`void` | `move(String source, String dest)`
`OutputStream` | `openFile(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VFSFileServiceImpl

    public VFSFileServiceImpl()

Method Detail

### init

    @PostConstruct
    public void init()

  Specified by:
    `init` in interface `FileService`

### fetchChanges

    public void fetchChanges()

  Specified by:
    `fetchChanges` in interface `FileService`

### loadFile

    public byte[] loadFile(String path)
                    throws FileException

  Specified by:
    `loadFile` in interface `FileService`
  Throws:
    `FileException`

### loadFile

    public byte[] loadFile(org.kie.commons.java.nio.file.Path file)
                    throws FileException

  Specified by:
    `loadFile` in interface `FileService`
  Throws:
    `FileException`

### loadFilesByType

    public Iterable<org.kie.commons.java.nio.file.Path> loadFilesByType(String path,
                                                                        String fileType)

  Specified by:
    `loadFilesByType` in interface `FileService`

### listDirectories

    public Iterable<org.kie.commons.java.nio.file.Path> listDirectories(String path)

  Specified by:
    `listDirectories` in interface `FileService`

### getPath

    public org.kie.commons.java.nio.file.Path getPath(String path)

  Specified by:
    `getPath` in interface `FileService`

### exists

    public boolean exists(org.kie.commons.java.nio.file.Path file)

  Specified by:
    `exists` in interface `FileService`

### exists

    public boolean exists(String file)

  Specified by:
    `exists` in interface `FileService`

### move

    public void move(String source,
                     String dest)

  Specified by:
    `move` in interface `FileService`

### copy

    public void copy(String source,
                     String dest)

  Specified by:
    `copy` in interface `FileService`

### createDirectory

    public org.kie.commons.java.nio.file.Path createDirectory(String path)

  Specified by:
    `createDirectory` in interface `FileService`

### createFile

    public org.kie.commons.java.nio.file.Path createFile(String path)

  Specified by:
    `createFile` in interface `FileService`

### deleteIfExists

    public boolean deleteIfExists(String path)

  Specified by:
    `deleteIfExists` in interface `FileService`

### openFile

    public OutputStream openFile(String path)

  Specified by:
    `openFile` in interface `FileService`

### getRepositoryRoot

    public String getRepositoryRoot()

  Specified by:
    `getRepositoryRoot` in interface `FileService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.